<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css" integrity="sha384-HSMxcRTRxnN+Bdg0JdbxYKrThecOKuH5zCYotlSAcp1+c8xmyTe9GYg1l9a69psu" crossorigin="anonymous">


<style>
.glyphicon {
    font-family: "Glyphicons Halflings" !important;
}
.footerHeading:before{
    top: 51px !important;
}

.emailinput{
    width: 215px !important;
}

.quotecolourss{
    padding: 8px 6px !important;
    text-transform: capitalize;
    box-shadow: 1px 11px 20px 0px rgb(239 63 62 / 12%);
    border-radius: 0.25rem;
    color: white !important;
    background-color: #3da5ce !important;
    border: aliceblue !important;
}

</style>


<div class="artloader" ng-show="artloading">
        <div class="cssload-container" >
            <div class="cssload-tube-tunnel">
         <img src="assets/loadingart.gif" alt="loader" class="loaderimg" />
        </div>
        <div class="loadingdata"><p>Please Wait we are processing your action....</p></div>
        </div>
        </div>
        <div class="artloader" id="load" style="display:none">
            <div class="cssload-container">
                <div class="cssload-tube-tunnel">
                    <img src="assets/loadingart.gif" alt="loader" class="loaderimg" />
                </div>
                <div class="loadingdata"><p>Please Wait we are processing your action....</p></div>
            </div>
        </div>
<div class="main_container no-home">
    <!-- breadcrumb start -->
    <section class="breadcrumb-section flight-sec pt-0">
        <img src="assets/insurance/banner.jpg" class="bg-img img-fluid blur-up lazyload" alt="" />
        <div class="flight-details text-center  top">
            <p class="route col-xs-12 flight-count resize"><span></span> Travel Insurance
            </p>
            
                <p class="route col-xs-12"  ng-show="trip == 'Round trip'">{{Insurance.origin.split(',')[0]}} ({{InsuranceSearchRequest.origin}}) <span>&#8652;</span>{{Insurance.destination.split(',')[0]}} ({{InsuranceSearchRequest.destination}})
            </p>
            <p class="route col-xs-12" ng-show="trip=='One Way'">{{Insurance.origin.split(',')[0]}} ({{InsuranceSearchRequest.origin}}) <span>&#8594;</span>{{Insurance.destination.split(',')[0]}} ({{InsuranceSearchRequest.destination}})
            </p>

            <!-- <span ng-show="trip=='One Way'">&nbsp;One Way</span><span>&nbsp;|</span> -->
             <p ng-show="trip=='One Way'" class="col-xs-12 other-details">Travel : One Way | Onward : {{InsuranceSearchRequest.onwardDateTime}}</p>
            
            <p ng-hide="trip=='One Way'" class="col-xs-12 other-details">Travel : Round trip | Onward : {{InsuranceSearchRequest.onwardDateTime}} | Return : {{InsuranceSearchRequest.returnDateTime}}
            </p>
            <p class="other-details col-xs-12">
                Passengers : Adult-{{InsuranceSearchRequest.adultCount}}, Child-{{InsuranceSearchRequest.childCount}}, Infant-{{InsuranceSearchRequest.infantCount}}
            </p>
            <button type="submit" class="btn col-lg-4 col-lg-offset-4 col-md-4  col-md-offset-4 col-sm-6 col-sm-offset-3 col-xs-8 col-xs-offset-2 btn-lg refine-search custom-search-btn refineSearch">
                Modify Search
            </button>
        </div>
    </section>

    <div class="container-fluid flight-container">

        <div ng-include="'views/insurance/insurenceSearchdata.html'" class="refine"></div>
        <div class="row">
            <!-- <div class="col-md-12"> -->
                <div class="col-md-8 trav">
                    <div class="col-md-12  search-results-panel insurenceTravelPlans">
                        <div class="search-results-info-panel sc-u-grid-gutter-y mb-3">
                        <h2 class="sc-c-heading sc-c-heading--xl resize" >Travel Plans <span class="slection-option">(Select one plan)</span></h2>
                    </div>
                    <div class="row" ng-show="!isDisableSendQuoteI">
                        <div class="col-md-2" style="margin-left: 83%; margin-top: -49px;">
                            <button type="button" class="quotecolourss  btn-dangers btn-block  color1 " data-toggle="modal" data-target="#myModal"  ng-click="insurenceQuotationddd('xl',any,availablePlan);">Send Quote</button>
                         
                        </div>
                   
                    </div>
                    <uib-accordion close-others="oneAtATime" class="insurance-list">
                        
                        <div uib-accordion-group class="panel-default panel-heading pl-0 pr-0" id="insurance-panel" is-open="status.isFirstOpen" is-disabled="false" ng-repeat="availablePlan in availablePlans track by $index">
                            
                            <uib-accordion-heading id="planselections">
                                        <!-- <input type="radio" name="selectplans" id="selectplans" ng-click="availPlans($index);" /> -->
                                <div class="row">
                                        <div  class="plansection col-md-6">
                                   
                                    <span class="avlplan" ng-bind="availablePlan.planTitle"></span>
                                    <!-- <input style="height: 16px;width: 44px;margin-left: 24%; margin-top: 0px;"  type="checkbox"  ng-click="addQuotations(availablePlan,$event)">
                                    <span>Add Quote</span> -->
                                </div>
                                <!-- <div  class="plansection col-md-2" ng-show="!isDisableSendQuoteI">
                                    <input type="radio" style="margin-left: -16px;height: 17px;" name="selectplans1" id="selectplans1_{{$index}}"  ng-click="addLifeStyleQuotations($index,$event)" />
                               


                                
                                    <span>Add Quote</span> 
                                </div> -->
                                <div  class="plansection col-md-3" ng-if  ="InsuranceSearchResult.data.isPolicyAvailable">
                                <span ng-show="availablePlan.policyApplied==true"><a  style="color: #2b8b2b; cursor:pointer;">IN POLICY</a></span>
                                <span ng-show="availablePlan.policyApplied==false"><a  data-toggle="modal" data-target="#outPolicyModal" ng-click="outPolicyCheck(availablePlan);" style="color: #e20e0e; cursor:pointer;">OUT POLICY</a></span>
                            </div>
                          
                            <div  class="plansection col-md-3" ng-if="!InsuranceSearchResult.data.isPolicyAvailable">
                                
                            </div>
                                <div  class="plansection col-md-3">
                                    <span class="sc-c-price-block__amount priceamt2">
                                        &nbsp;&nbsp;<span class="fare" style="color: #d91718;"
                                            ng-bind="availablePlan.currencyCode"></span>&nbsp;
                                    <span class="fare" style="color: #d91718;font-size: 16px; margin-right: 15px;    margin-left: 9px;" ng-bind="availablePlan.totalFare.toFixed(2)"></span>


                                    <i style="color: #1976d2;" class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': status.isFirstOpen, 'glyphicon-chevron-right': !status.isFirstOpen}"></i>

                                    <!-- <span   class="ng-binding">OMR {{availablePlan.totalFare|number:2}}</span> -->
                                    </span>
                                </div>
                            </div>
                                <!-- <span class="fare"ng-bind="availablePlan.totalFare.toFixed(3)"></span> -->
                            </uib-accordion-heading>
                            <div class="row">

                                <label class="col" ng-click="availPlans($index);" >

                                    <div class="row pt-3">
                                        <div>
                                            <input type="radio" name="selectplans" id="selectplans_{{$index}}" />

                                        </div>


                                        <span style="padding-left: 40px;" ng-bind="renderHTMLFactory.setTitle(availablePlan.planTitle)"></span> &minus;
                                        <span class="fare" ng-bind="availablePlan.currencyCode"></span>&nbsp;<span class="fare" ng-bind="availablePlan.totalFare|number:2"></span><br />
                                       
                                    </div>
                                    <p class="pt-5" ng-bind-html="renderHTMLFactory.renderHTML(availablePlan.planContent)"></p>

                                </label>

                            </div>

                        </div>
                    </uib-accordion>
                </div>

                <div class="col-md-12 search-results-panel insurenceTravelPlans">
                    <div class="search-results-info-panel sc-u-grid-gutter-y mb-3">
                        <h3 class="sc-c-heading sc-c-heading--xl lifeplan">LifeStyle Plans <span class="slection-option">(Multiple Options)</span></h3>
                    </div>
                    <uib-accordion close-others="oneAtATime" class="insurance-list riderList">
                        <div uib-accordion-group class="panel-default panel-heading" is-open="status.isFirstOpen" is-disabled="status.isFirstDisabled" ng-repeat="riderPlan in riderPlans track by $index">
                            <uib-accordion-heading id="lifestyleelections">
                                <div class="row">
                                <div  class="plansection col-md-6">
                                    <span style="color: #1976d2;" ng-bind="riderPlan.planTitle"></span>
                                </div>
                                <!-- <div  class="plansection col-md-2" ng-show="!isDisableSendQuoteI">
                                    <input type="checkbox" id="lifeStyle1_{{$index}}"style="margin-left: -16px;height: 17px;" name="selectplans1"  ng-click="addRiderStyleQuotations($index,$event)" />
                               
                                    
                                    <span>Add Quote</span> 
                                </div> -->
                                <div  class="plansection col-md-3" ng-if="InsuranceSearchResult.data.isPolicyAvailable">
                                    <span ng-show="riderPlan.policyApplied==true"><a  style="color: #2b8b2b; cursor:pointer;">IN POLICY</a></span>
                                    <span ng-show="riderPlan.policyApplied==false"><a data-toggle="modal" data-target="#outPolicyModal" ng-click="outPolicyCheck(riderPlan);" style="color: #e20e0e; cursor:pointer;">OUT POLICY</a></span>
                                </div>
                                <div  class="plansection col-md-3"  ng-if="!InsuranceSearchResult.data.isPolicyAvailable">
                                
                                </div>
                                <!-- <div  class="plansection col-md-2" ng-show="InsuranceSearchResult.data.isPolicyAvailable==false">
                                
                                </div> -->
                                <div  class="plansection col-md-3">
                                    
                                    <span class="sc-c-price-block__amount" style="font-size:17px;margin-left: 1%; color: #d91718;">
                                        &nbsp;&nbsp;<span class="fare" style="color: #d91718;"
                                            ng-bind="riderPlan.currencyCode"></span>&nbsp;
                                    <span style="margin-right: 12px;     margin-left: 9px;" class="fare" ng-bind="riderPlan.totalFare.toFixed(2)"></span>
                                    

                                    <i style="color: #1976d2;" class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': status.isFirstOpen, 'glyphicon-chevron-right': !status.isFirstOpen}"></i>

                                    </span>

                                </div>
                                </div>
                                <!-- <div style="display:flex ;justify-content: space-between;font-size: 16px;">
   
                                   
                                    <span class="sc-c-price-block__amount" style="font-size:17px;margin-left: 1%; color: #d91718;">
                                        &nbsp;&nbsp;<span class="fare" style="color: #d91718;"
                                            ng-bind="riderPlan.currencyCode"></span>&nbsp;
                                    <span style="margin-right: 12px;     margin-left: 9px;" class="fare" ng-bind="riderPlan.totalFare.toFixed(2)"></span>
                                    

                                    <i style="color: #1976d2;" class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': status.isFirstOpen, 'glyphicon-chevron-right': !status.isFirstOpen}"></i>

                                    </span>

                                </div> -->


                            </uib-accordion-heading>
                            <div class="row">
                               
                                <div class="col-md-12"  ng-click="ridersPlans($index);">

                                    <input type="checkbox" name="selectriders" id="selectriders_{{$index}}" />


                                    <span ng-bind="renderHTMLFactory.setTitle(riderPlan.planTitle)"></span> &minus;
                                    <span class="fare" ng-bind="riderPlan.currencyCode"></span>&nbsp;
                                    <span class="fare" ng-bind="riderPlan.totalFare|number:2"></span>
                                    <br />
                                    <p class="pt-3" ng-bind-html="renderHTMLFactory.renderHTML(riderPlan.planContent)">
                                    </p>
                                </div>


                            </div>


                        </div>
                        <br>

                    </uib-accordion>
                </div>



            </div>
            <div class="col-md-4">
                <div class="filter-sec review-section sticky-cls" id="filterSideBar">
                <!-- <div class="filter-sec  card-wd" id="filterSideBar"> -->
                    <h4 class="filter-header">Fare Summary </h4>
                    <div class="review_box"  id="amenitiesfilter">
                        <p class="ft-sz" ng-show="trip == 'Round trip'">{{Insurance.origin.split(',')[0]}} <span>&#8652;</span>  {{Insurance.destination.split(',')[0]}} 
                        </p>
                        <p class="ft-sz" ng-show="trip=='One Way'">{{Insurance.origin.split(',')[0]}} <span>&#8594;</span> {{Insurance.destination.split(',')[0]}} 
                        </p>
                        <div class="priceBreak price-bold " >
                        <p class="ft-sz">No. of Passengers</p>
                        <p class="ft-sz">{{passengerCount}}</p>
                        </div>
                        <div class="priceBreak" ng-if="selectedAvailPlan">
                            <p  class="price-bold ft-sz">{{selectedAvailPlan.planTitle}}</p>
                            <p class="amountText ft-sz">AED {{selectedAvailPlan.subTotal | number : 2}}</p>
                            </div>
                        <div class="priceBreak ft-sz" ng-repeat="splan in selectedRaidPlan">
                        <p class="price-bold ft-sz">{{splan.planTitle}}</p>
                        <p class="amountText ft-sz">AED {{splan.subTotal | number : 2}}</p>
                        </div>
                        <div class="priceBreak serviceCharge"><p class="">Service Charge </p><p class="amountText">AED {{serviceCharge | number : 2}}</p>
                        </div>
                        <!-- <div class="priceBreak serviceCharge"><p class="">MarkUp </p><p class="amountText">AED {{markUp | number : 2}}</p>
                        </div> -->
                        <div class="priceBreak serviceCharge"><p class="">Discount(-) </p><p class="amountText">AED {{disount | round | number : 2}}</p>
                        </div>


	     																					
                    <hr class="filter-separator" ng-show="isdepthr"/>

                    </div>
                    <hr class="filter-separator" />

                    <div class="priceBreak grandTotal"><p class="">Grand Total </p><p class="amountText">AED {{grandTotal | number : 2}}</p>
                    </div>

                
                <button type="button" class="btn btn-block btn-solid continue-book wd-95 mt" ng-click="onBook();">
                    Continue Booking
                </button>
                </div>
            </div>
            <div class="col-md-4 col-sm-4 col-md-offset-4 col-sm-offset-4 mb-5 pb-5">

            </div>
        </div>


    </div>

 <!-- The Modal -->
 <div class="modal" id="myModal">
    <div class="modal-dialog dilogcss modal-lg">
      <div class="modal-content" style="overflow-x: hidden;">
      
        <!-- Modal Header -->
        <div class="modal-header">
          <h4 class="modal-title">Quotation Details</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        
        <div class="container"  style="overflow: scroll;
        overflow-x: hidden;"><br>
     <div class="row">
    <div class="col-md-1">
    <label style="color: black;">E-mail
    </label>
    </div>
    <div class="col-md-6">
    <input type="email" id="email" ng-model="cordinatorDetails.email" class="form-control traveller-details-upper ng-invalid ng-touched ng-not-empty ng-dirty ng-valid-parse ng-invalid-email ng-valid-required" placeholder="E-mail" required="" style="">
    <!-- <h5 style="margin-left:9px;    color: #37abda;
    margin-top: 11px;">To</h5> -->
    </div>
    <div class="col-md-3">
    
    <button type="submit" class="quotecolourss" id="bookBtn" ng-click="sendQuotation();">Send Quote</button> 
    </div>
     </div>
    <div class="row" style="margin-top: 10px;">
    <div class="col-md-5">
    <label style="color: black;">Internal Remarks
    </label>
        <input type="textarea" id="internalRemarks" class="form-control  traveller-details-upper" placeholder="Internal Remarks" required />
    
    </div>
    <div class="col-md-5">
    <label style="color: black;">Extranal Remarks
    </label>
        <input type="textarea"  id="extranelRemarks" class="form-control  traveller-details-upper" placeholder="Extranal Remarks" required />
    
    </div>
    </div>	<br>
  
    
    <div class="row tablecss" style="margin-left: 0px;  margin-right: 0px;">

        <table class="table datatable-basic table-striped dataTable no-footer" id="DataTables_Table_0" role="grid" aria-describedby="DataTables_Table_0_info">
                 <thead>
                 <tr role="row" style="    font-size: 12px;background: #2195c3;" class="bk-tr">
                       <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="From Date"></th>
                         <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="From Date"></th>
                           <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="From Date"></th>
                             <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="From Date" style="color:white;">Traveller List</th>
                               <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="From Date"></th>
                                 <th ng-show="travelFunctionality==true"class="sorting_disabled" rowspan="1" colspan="1" aria-label="From Date" style="text-align:end;color:white;"><button style="    background-color: #2195c3;
                                    border: aliceblue;" data-toggle="modal" data-target="#myModaldata" ng-click="selectingTrvlr($event);">Select Traveler</button></th>
                                 <th ng-show="travelFunctionality==false"class="sorting_disabled" rowspan="1" colspan="1" aria-label="From Date" style="text-align:end;color:white;"></th>
                 </tr>
                     <tr role="row" style="    font-size: 12px;" class="bk-tr">
                         <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="From Date">S.NO</th>
                         <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="First Name">Pax Name</th>
                         <!-- <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Last Name">Last Name</th> -->
                         <!-- <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Relationship">Relationship</th> -->
                         <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Email">Email</th>
                         <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Phone No.">Phone No.</th>
                         <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Date Of Birth">Date Of Birth</th>
                         <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Passport No.">Passport No.</th>
                         
                     </tr>

                 </thead>
                
                 <tbody class="bk-tbdy" style="font-size: 14px !important; font-weight: 500 !important;  overflow: auto !important; height:0px !important;">
                     
                     
                     

                     

                  
                 <tr role="row" class="odd" ng-repeat="travelData in selectTraveldata track by $index" >								                   
                       
                     <td>{{$index+1}}</td>
                      
                         <td>{{travelData.firstName}}</td>
                         <td>{{travelData.emailId}}</td>
                         <td ng-If="travelData.phoneNumber != null">{{travelData.countryCode}} {{travelData.phoneNumber}}</td>
                         <td ng-If="travelData.phoneNumber == null">-</td>
                         <td>{{travelData.dateOfBirth  | date:'yyyy/MM/dd'}}</td>
                         <td>{{travelData.passportNo}}</td>

                        
                       
                     </tr>
                    
                 </tbody>
             </table>
</div>
    
<div class="container col-md-12">
 
    <ul class="nav nav-tabs">
      <li class="nav-item"><a disabled="disabled" style=" font-size: 15px; pointer-events: none;
        cursor: default;" class="nav-link"  data-toggle="tab" data-target="#home"><i class="las la-plane ni"></i>Flight</a></li>
      <li class="nav-item"><a disabled="disabled" style=" font-size: 15px; pointer-events: none;
        cursor: default;" class="nav-link" data-toggle="tab" data-target="#menu1"><i class="las la-bed ni"></i>Hotel</a></li>
      <li class="nav-item"><a style="border-bottom-right-radius: 5px;
        border-bottom-left-radius: 5px;" class="nav-link active" data-toggle="tab" data-target="#menu2"><i class="las la-hand-holding-heart ni"></i>Insurance</a></li>
     
    </ul>
  
    <div class="tab-content">
      <div id="home" class="tab-pane ">
        <h3>HOME</h3>
        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>
      </div>
      <div id="menu1" class="tab-pane ">
        <h3>Menu 1</h3>
        <p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>
      </div>
      <div id="menu2" class="tab-pane fade in active">
        <div class="panel-group" style="border: 1px solid #c1c1c1;">
            <div class=" panel-primary" ng-repeat="availablePlan in selectedQuoteAvilplan track by $index" >
                <div class="panel-heading" style="    color: aliceblue;    background-color: #3894b9;border-color: #ebccd1;">Travel Plan {{$index+1}}<span ng-click="availablePlanRemove($index);" style="margin-left: 88%;
              font-size: 17px;cursor: pointer;"></span></div>
               <div class="panel-body" style="margin-top:2%;">
                <div class="row">
                    <div class="col-md-9">
                    <label class="col" ng-click="availPlans($index);" >

                        <div class="row pt-3">
     


                            <span style="padding-left: 40px;" ng-bind="renderHTMLFactory.setTitle(availablePlan.planTitle)"></span> &minus;
                            <span class="fare" ng-bind="availablePlan.currencyCode"></span>&nbsp;<span class="fare" ng-bind="availablePlan.totalFare|number:2"></span><br />
                           
                        </div>
                        <p class="pt-5" ng-bind-html="renderHTMLFactory.renderHTML(availablePlan.planContent)"></p>

                    </label>
                    </div>
                    <div class="col-md-3 ">
                        <span ng-if  ="InsuranceSearchResult.data.isPolicyAvailable">
                        <h5 class="text-right" ng-show="availablePlan.policyApplied==true" style="margin-right: 10%;"><span ><a  style="color: #2b8b2b; cursor:pointer;">IN POLICY</a></span></h5>
                        <h5 class="text-right" ng-show="availablePlan.policyApplied==false" style="margin-right: 10%;"><span ><a data-toggle="modal" data-target="#outPolicyModal" ng-click="outPolicyCheck(availablePlan);" style="color: #e20e0e; cursor:pointer;">OUT POLICY</a></span></h5>
                        <!-- <h5 class="text-center">OUT POLICY</h5> -->
                        </span>
                        <div class="col-md-5 text-right"  ng-show="$index==0">
                            
                            <div class="first mb-2">     <h4 style="    margin-bottom: -4px;
                             font-weight: 600;
                             font-size: 15px;">Total</h4></div>
                            <div class="first mb-3" ng-show="$index==0"><label for="company-address">Markup</label></div>
                            <div class="first" ng-show="$index==0"><label for="company-address">Discount</label></div>
                            <div class="first" ng-show="$index==0" style="width:max-content;"><label for="company-address">Grand Total</label></div>
                        </div>
                        <div class="col-md-1">
                         <div class="second mb-2"  ng-show="$index==0">:</div>
                         <div class="second mb-3" ng-show="$index==0">:</div>
                         <div class="second mb-2" ng-show="$index==0">:</div>
                         <div class="second mb-2" ng-show="$index==0">:</div>
                     </div>
                     <div class="col-md-5 text-left">
                         
                         <div class="third"  ng-show="$index==0"><h6>AED {{availablePlan.totalFare}}</h6></div>
                         <div class="third" ng-show="$index==0">
                             
                             <input type="text"  ng-model="availablePlan.marKupValue" value="0" onkeyup="if (event.srcElement.value.charAt(0) == '0') { event.srcElement.value = event.srcElement.value.slice(1); };
                             this.value=this.value.replace(/[^0-9]/g, '')" style="height: 29px; text-align:right;"ng-keyup="availmarkup(availablePlan,$index);" id="markupValue_{{$index}}" 
                              pattern="^[a-zA-Z0-9_\-.]+@[a-zA-Z0-9\-]+\.[a-zA-Z0-9\-.]+$"
                             class="form-control  traveller-details-upper" required /></div>&nbsp;
                         <div class="third" ng-show="$index==0"><input type="text"  ng-model="availablePlan.disCountValue"  onkeyup="if (event.srcElement.value.charAt(0) == '0') { event.srcElement.value = event.srcElement.value.slice(1); };
                             this.value=this.value.replace(/[^0-9]/g, '')" style="margin-top:-11px;height: 29px;  text-align:right;" id="discountValue_{{$index}}" ng-keyup="availmarkup(availablePlan,$index);" 
                              pattern="^[a-zA-Z0-9_\-.]+@[a-zA-Z0-9\-]+\.[a-zA-Z0-9\-.]+$"
                             class="form-control  traveller-details-upper" required value="0"/></div>
                         <div class="third" id="grandTotal_{{$index}}"ng-show="$index==0" style="margin-top: 5px;"><h6>AED {{availablePlan.grndTotal}}</h6></div>
                     </div>
     
        
       
     </div>
            </div>
            </div>
            </div>
            </div>
            <div class="panel-group" style="border: 1px solid #c1c1c1;" ng-show="selectedQuoteRiderplan.length>0">
                <div class=" panel-primary" ng-repeat="riderPlan in selectedQuoteRiderplan track by $index" >
                    <div class="panel-heading" style="    color: aliceblue;    background-color: #3894b9;border-color: #ebccd1;">LifeStyle Plan {{$index+1}}<span ng-click="lifeStyleRemove(riderPlan.sessionId,$index);" style="margin-left: 88%;
                  font-size: 17px;cursor: pointer;">&times;</span></div>
                   <div class="panel-body" style="margin-top:2%;">
                    <div class="row">
                        <div class="col-md-9">
                        <label class="col" ng-click="availPlans($index);" >
    
                            <div class="row pt-3">
         
    
    
                                <span style="padding-left: 40px;" ng-bind="renderHTMLFactory.setTitle(riderPlan.planTitle)"></span> &minus;
                                <span class="fare" ng-bind="riderPlan.currencyCode"></span>&nbsp;<span class="fare" ng-bind="riderPlan.totalFare|number:2"></span><br />
                               
                            </div>
                            <p class="pt-5" ng-bind-html="renderHTMLFactory.renderHTML(riderPlan.planContent)"></p>
    
                        </label>
                        </div>
                        <div class="col-md-3 ">
                            <span  ng-if  ="InsuranceSearchResult.data.isPolicyAvailable">
                            <h5 class="text-right" ng-show="riderPlan.policyApplied==true" style="margin-right: 10%;"><span ><a  style="color: #2b8b2b; cursor:pointer;">IN POLICY</a></span></h5>
                        <h5 class="text-right" ng-show="riderPlan.policyApplied==false" style="margin-right: 10%;"><span ><a data-toggle="modal" data-target="#outPolicyModal" ng-click="outPolicyCheck(riderPlan);" style="color: #e20e0e; cursor:pointer;">OUT POLICY</a></span></h5>
                            </span> 
                        <div class="col-md-5 text-right">
                                <div class="first mb-2">     <h4 style="    margin-bottom: -4px;
                                 font-weight: 600;
                                 font-size: 15px;">Total</h4></div>
                                <div class="first mb-3"><label for="company-address">Markup</label></div>
                                <div class="first"><label for="company-address">Discount</label></div>
                                <div class="first" style="width:max-content;"><label for="company-address">Grand Total</label></div>
                            </div>
                            <div class="col-md-1">
                             <div class="second mb-2">:</div>
                             <div class="second mb-3">:</div>
                             <div class="second mb-2">:</div>
                             <div class="second mb-2">:</div>
                         </div>
                         <div class="col-md-5 text-left">
                             <div class="third"><h6>AED {{riderPlan.totalFare}}</h6></div>
                             <div class="third">
                                 
                                 <input type="text"  ng-model="riderPlan.marKupValue" value="0" onkeyup="if (event.srcElement.value.charAt(0) == '0') { event.srcElement.value = event.srcElement.value.slice(1); };
                                 this.value=this.value.replace(/[^0-9]/g, '')" style="height: 29px; text-align:right;"ng-keyup="ridermarkup(riderPlan,$index);" id="markupRiderValue_{{$index}}" 
                                  pattern="^[a-zA-Z0-9_\-.]+@[a-zA-Z0-9\-]+\.[a-zA-Z0-9\-.]+$"
                                 class="form-control  traveller-details-upper" required /></div>&nbsp;
                             <div class="third"><input type="text"  ng-model="riderPlan.disCountValue"  onkeyup="if (event.srcElement.value.charAt(0) == '0') { event.srcElement.value = event.srcElement.value.slice(1); };
                                 this.value=this.value.replace(/[^0-9]/g, '')" style="margin-top:-11px;height: 29px;  text-align:right;" id="discountRiderValue_{{$index}}" ng-keyup="ridermarkup(riderPlan,$index);" 
                                  pattern="^[a-zA-Z0-9_\-.]+@[a-zA-Z0-9\-]+\.[a-zA-Z0-9\-.]+$"
                                 class="form-control  traveller-details-upper" required value="0"/></div>
                             <div class="third" style="margin-top: 5px;"><h6>AED {{riderPlan.grndTotal}}</h6></div>
                         </div>
         
            
           
         </div>
                </div>
                </div>
                </div>
                </div>
      </div>
     
    </div>
  </div>
  

    
     
      
    </div>
        
        <!-- Modal footer -->
        <div class="modal-footer">
          <button type="button" data-dismiss="modal" class="col-lg-1 quotecolourss" style="height: 43px;margin-right: 3%;">Cancel</button>
        </div>
        
      </div>
    </div>
  </div>





 <!-- The Modal -->
 <div class="modal" id="outPolicyModal">
    <div class="modal-dialog  modal-lg">
      <div class="modal-content" style="overflow-x: hidden;">
      
        <!-- Modal Header -->
        <div class="modal-header">
          <h4 class="modal-title">Policy Deviation</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        
        <div class="container" >
    

          
                <span ng-repeat="policy in outPolicy track by $index">
           <h5>{{$index+1}}. {{policy}}</h5></span>
       
    
     
 
  
    


  </div>
  

    
       <!-- Modal footer -->
       <div class="modal-footer">
        <button type="button" data-dismiss="modal" class="col-lg-1 quotecolourss">Cancel</button>
      </div>
      
    </div>
        
      
        
      </div>
    </div>
  </div>






  <div class="modal" id="myModaldata">
    <div class="modal-dialog   modal-xl" style="    width: 100%;">
      <div class="modal-content">
      
        <!-- Modal Header -->
        <div class="modal-header">
          <h4 class="modal-title">Traveller Details</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        
        <!-- Modal body -->
	
	
       

      
        <div class="modal-body" style="overflow:auto; height:300px; overflow-x:hidden;">
            <div class="v-card__text traveller-list" >
                <div class="">
                    <div>
                        <form>
                            <div class="row">
                                <div class="col-md-4 col-lg-3">
                                    <label class="mb-0">Given Name</label>
                                    <div>
                                        <input type="text" name="paxName" class="form-control required traveller-details-upper ft-sz-12" onkeyup="this.value=this.value.replace(/[^A-Za-z ]/g,'');" id="paxName" ng-model="trvellersrch.paxName" placeholder="Pax Name" autocomplete="off"
                                            minlength='2' />
                                    </div>
                                </div>
                                <div class="col-md-4 col-lg-3">
                                    <label class="mb-0">Surname</label>
                                    <div>
                                        <input type="text" name="surName" class="form-control required traveller-details-upper ft-sz-12" onkeyup="this.value=this.value.replace(/[^A-Za-z ]/g,'');" id="surName" ng-model="trvellersrch.surName" placeholder="Surname" autocomplete="off"
                                            minlength='2' />
                                    </div>
                                </div>
                                <div class="col-md-12 col-lg-3">
                                    <label class="mb-0">Date of Birth</label>
                                    <div class="ds-flx">
                                        <div>
                                            <select class="form-control  ft-sz-12" title="dd" ng-model="trvellersrch.birthdate" name="sbirthdate" id="sbirthdate" style="padding:5px!important;" ng-change="changeDOB(trvellersrch.birthyear,TravelType,trvellersrch.birthmonth,false)">
                                                <option value="" selected disabled>dd</option>
                                                <option ng-repeat="dobdate in trvellersrchday">{{dobdate}}</option>
                                            </select>
                                        </div>
                                        <div>
                                            <select class="form-control  ft-sz-12" title="mm" ng-model="trvellersrch.birthmonth" id="sbirthmonth" name="sbirthmonth" ng-change="changeDOB(trvellersrch.birthyear,TravelType,trvellersrch.birthmonth,true);" style="padding:5px!important;">
                                                <option value="" selected disabled>mm</option>
                                                <option ng-repeat="dobmonth in trvellersrchmonth">{{dobmonth}}</option>
                                            </select>
                                        </div>
                                        <div>
    
                                            <select class="form-control ft-sz-12  yearfield" title="yyyy" ng-model="trvellersrch.birthyear" id="sbirthyear" name="sbirthyear"  ng-change="changeDOB(trvellersrch.birthyear,TravelType,trvellersrch.birthmonth,false)">
                                                <option value="" selected disabled>yyyy</option>
                                                <option ng-repeat="srchyear in trvellersrchyears">{{srchyear}}</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6 col-lg-3">
                                    <label class="mb-0">E-mail</label>
                                    <div>
                                        <input type="email" name="smail" ng-model="trvellersrch.email"  
                                        pattern="^[a-zA-Z0-9_\-.]+@[a-zA-Z0-9\-]+\.[a-zA-Z0-9\-.]+$" 
                                        class="form-control required traveller-details-upper ft-sz-12" id="smail" placeholder="E-mail" />
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6 col-lg-3">
                                    <label class="mb-0">Contact</label>
                                    <div class="ds-flx">
                                        <ui-select style="width:90%" class="input-border ft-sz-12" autocomplete="off" title="Country Code" ng-model="trvellersrch.mobcntrycodetrobj" theme="bootstrap"  name="sphonecontact" id="sphonecontact" on-select="contactNochange();">
                                            <ui-select-match placeholder="Coun..Code" class="ft-sz-12">
                                                <img height="10px" width="10px" src="images/Flag/{{$select.selected.code}}.gif" class="ft-sz-12">
                                                {{$select.selected.code}} - {{$select.selected.name}}
                                            </ui-select-match>
                                            <ui-select-choices repeat="item in (countryList | filter: $select.search)">
                                                <img height="20px" width="20px" src="images/Flag/{{item.code}}.gif">
                                    
                                                <span ng-bind="item.code"></span>
    
                                                <span>-</span>
                                                <span ng-bind="item.name"></span>
    
                                            </ui-select-choices>
                                        </ui-select>
                                        <div>
                                            <input type="text" name="acontact" style="padding-left:4px;" 
                                            onkeyup="if (event.srcElement.value.charAt(0) == '0') { event.srcElement.value = event.srcElement.value.slice(1); };
                                            this.value=this.value.replace(/[^0-9]/g, '')" maxlength="14" minlength="7" id="scontact_" ng-keyup="contactNochange()"
                                                class="form-control required con-width ft-sz-12" placeholder="Contact" ng-model="trvellersrch.mobile" autocomplete="off" />
                                        </div>
                                    </div>
                                </div>
          <div class="col-md-4 col-lg-2">
                                    <label class="mb-0">Passport No.</label>
                                    <div>
                                        <input type="test" name="spassport" id="spassport" ng-model="trvellersrch.passportNo" 
                                        onkeyup="this.value=this.value.replace(/[^a-zA-Z0-9]/g, '')"
                                        placeholder="Passport No" class="ft-sz-12 form-control required traveller-details-upper" />
                                    </div>
                                </div>
                                <div class="col-md-4 col-lg-3" style="margin-top: 25px;">
                                   
    
                                    <label for="checkid">Dependent</label><input type="checkbox" ng-model="checkedDependent" style="margin-left:16px;"  ng-change="dependent(checkedDependent)"/>
                                </div>
                                      <div class="col-md-4 col-lg-2 pl-0 ds-flx" style="justify-content: flex-end;">
                                
                                    <button type="button" style="border: 1px solid #1dace4;
                                    width: 106px;
                                    margin-top: 17px;" id="custmerSearch" ng-click="selectingTrvlr(trverlindx,TravelType)" 
                                    class="btn btn-block btn-solid continue-book">
                                    <span class="ft-sz-12">Search </span></button>
                                    <button type="button" style="border: 1px solid #1dace4;
                                    width: 106px;
                                    margin-top: 17px;
                                    margin-left: 31px;" id="custmerSearch" ng-click="initSrchObj()" 
                                    class="btn btn-block btn-solid continue-book">
                                    <span class="ft-sz-12">Clear </span></button>
                                </div>
                            </div>
                        
                        </form>
                    </div>
                    <table style="margin-top: 9px;"class="table datatable-basic table-striped dataTable no-footer" id="DataTables_Table_0" role="grid" aria-describedby="DataTables_Table_0_info">
                        <thead style="background-color: #3da5ce;
                        color: aliceblue;">
                            <tr role="row" style="    font-size: 14px;" class="bk-tr">
                                <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="From Date">Select</th>
                                <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="First Name">Pax Name</th>
                                <!-- <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Last Name">Last Name</th> -->
                                <!-- <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Relationship">Relationship</th> -->
                                <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Email">Email</th>
                                <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Phone No.">Phone No.</th>
                                <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Date Of Birth">Date Of Birth</th>
                                <!-- <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Passport No.">Passport No.</th> -->
                                <!-- <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="To Date">To Date</th>
                                <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Booked Fare">Booked Fare</th>
                                <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Status">Status</th>
                                <th class="sorting_disabled text-center" rowspan="1" colspan="1" aria-label="Status">Action</th> -->
                            </tr>
    
                        </thead>
                       
                        <tbody class="bk-tbdy">
                            
                            
                            
                            
                            
    
                       
                        <tr role="row" class="odd" dir-paginate-start="singlePsgr in allTravellerDataa | itemsPerPage:10 |filter:search track by $index">								                   
                           
                            <td class="ds-flx"> 
                                <span ng-show="isdependents">
                                    <button class="expand-brd" ng-click="expanded = !expanded" expand>
                                        <span ng-bind="expanded ? '-' : '+'" ></span>
                                    </button>
                                    </span>
                                <input style="height: 16px;width: 44px;
                                margin: 10px !important;" id="checkedvalue{{singlePsgr.customerId}}" value="true" name="checkedvalue"
                                 type="checkbox" ng-model="checkedvalue"    
                                ng-change="addTravel(checkedvalue,singlePsgr,singlePsgr.age,$index,singlePsgr.customerId)" />
                            </td>    
                            <td>{{singlePsgr.firstName}} {{singlePsgr.lastName}}</td>
                              
                                <td>{{singlePsgr.emailId}}</td>
                                <td ng-If="singlePsgr.phoneNumber != null">{{singlePsgr.countryCode}} {{singlePsgr.phoneNumber}}</td>
                                <td ng-If="singlePsgr.phoneNumber == null">-</td>
                                <td>{{singlePsgr.dateOfBirth  | date : "yyyy-MM-dd"}}</td>
                              
    
                            </tr>
                            <tr dir-paginate-end ng-show="expanded">
                                <td colspan="6" class="no-depent" ng-show="singlePsgr.dependents == null">
                                <h6 style="margin-left:25px !important">No dependent under this Pax profile ...!!!</h6>
                                </td>
                                <td colspan="6" ng-show="singlePsgr.dependents != null" class="p-0">
                                    <table class="">
                                        <!-- <thead>
                                            <tr>
                                                <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="From Date">Select</th>
                                                <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="First Name">Pax Name</th>
                                                <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Email">Email</th>
                                                <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Phone No.">Phone No.</th>
                                                <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Date Of Birth">Date Of Birth</th>
                                                <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Passport No.">Passport No.</th>
                                            </tr>
                                        </thead> -->
                                        <tbody class="ft-sz-14">
                                            <tr ng-repeat="dependents in singlePsgr.dependents track by $index" style="background-color: white;">
                                                <td>   
                                                    <input style="margin-left: 25px !important;" id="checkedvalue{{parentindex}}{{$index}}" value="true" name="checkedvalue{{parentindex}}{{$index}}"
                                                     type="checkbox" ng-model="checkedvalue"    
                                                     ng-change="addTravel(checkedvalue,dependents,dependents.age,parentindex,dependents.customerId)" />
                                                </td>    
                                                <td>{{dependents.firstName}} {{dependents.lastName}}</td>
                                                <td>{{dependents.emailId}}</td>
                                                <td ng-If="dependents.phoneNumber != null">{{dependents.countryCode}} {{dependents.phoneNumber}}</td>
                                                <td ng-If="dependents.phoneNumber == null">-</td>
                                                <td>{{dependents.dateOfBirth  | date : "yyyy-MM-dd}}</td>
                                                <!-- <td>{{dependents.passportNo}}</td> -->
                                            </tr>
                                        </tbody>
                                    </table>
                                </td>
                            </tr>
                            <div class="" ng-show="artloadingcancellation">
                                <div class="cssload-container">
                                    <div class="cssload-tube-tunnel">
                                        <img src="assets/loadingart.gif" alt="loader" class="" style="right: 40% !important;
                                        width: 188px;
                                        margin-top: 51px;
                                        position: absolute;
                                        margin-left: 120px;"/>
                                    </div>
                                   
                                </div>
                            </div>
                        </tbody>
                            
                    </table>
                    <dir-pagination-controls max-size="3" direction-links="true"
                    boundary-links="true" on-page-change="pageChanged(newPageNumber)" class="fr"></dir-pagination-controls>
                   
                
                    
                 
                </div>
            </div>
        </div>
        
        <!-- Modal footer -->
        <div class="modal-footer">
            <button type="submit" style="     border: 1px solid #1dace4;
            width: 102px;
            margin-top: -9px;
            margin-right: 45%;" ng-click="ConfirmTravellerData()" data-dismiss="modal"class="btn btn-block btn-solid continue-book"><span class="v-btn__content" style="    margin-left: 13px;">
                    Confirm
                </span></button>
        </div>
        
      </div>
    </div>
  </div>
</div>






<style>
    
    .nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active {
        border-top: #FFFFFF;
        border-right: #FFFFFF;
        border-left: #FFFFFF;
        border-bottom: 2px solid #0D9737;
        font-size: 15px;
    }
        .dataTable {
    border-left: 1px solid #ddd;
    border-right: 1px solid #ddd;
    border-bottom: 1px solid #ddd;
}
    @media (min-width: 1200px){
.dilogcss{
    max-width: 1140px !important;
}
    }
    @media (min-width: 768px){
.dilogcss{
    width: 1140 !important;
    margin: 30px auto;
}
    }
    .insurenceTravelPlans {
 
    padding-top: 17px !important;
}
    .panel-heading {
    padding: 10px 15px !important;
    border-bottom: 1px solid transparent !important;
    border-top-left-radius: 3px !important;
    border-top-right-radius: 3px !important;
}
.panel-default {
    border-color: #ddd !important;
}

    .ft-sz {
    font-size: 14px !important;
    }
    .grandTotal {
    font-size: 18px;
}
    .price-bold {
    font-weight: 600!important;
}
.ftr-mt-20{
margin-top: 20px !important;
}
.ftr-mt-10{
margin-top: 10px !important;
}

.ftr-mt-13{
    margin-top: -13px !important;
}
    .fix-ht{
        max-height: 200px;
        overflow: auto;
    }
    .fix-ht::-webkit-scrollbar {
  display: none;
}
.fs-12{
    font-size: 13px;
}
.amountText {
    color: #f44336;
    font-weight: bold;
}
    .priceBreak
    {
        display: flex;
    justify-content: space-between;
    font-weight: 500;
    }
.card-wd{
    width: 95%;
    margin-top: 80px;
}
.wd-95{
    width: 95% !important;
}

    .filter-sec.sticky-sidebar {
        position: fixed;
        top: 150px;
        left: 30px;
        width: calc(30% - 110px);
        bottom: 0;
        overflow: auto;
        margin-bottom: 10px;
    }

    @media (max-width:610px) {
        .resize {
            font-size: 25px !important;
        }
        .lifeplan {
            font-size: 20px !important;
        }
        .route {
            font-size: 15px !important;
        }
        /* .top {
            padding-top: 25px !important;
        } */
    }
    @media (max-width:768px) {
        .refine {
            padding-top: 15px !important;
        }
    }
    @media (min-width:768px)
    {
        .btsize
        {
            padding-left: 110px !important;
        }
    }
/*     
    @media (max-width:425px) {
        .trav {
            padding-top: 45px !important;
        }
    } */
    
    .card {
        border-radius: 0;
        border: 1px solid rgba(0, 0, 0, .225);
        margin-bottom: 7px;
    }
    
    .card-header {
        padding: .75rem 1.25rem !important;
        /* margin-bottom: !important; */
        background-color: white !important;
        border-bottom: 0px solid rgba(0, 0, 0, .125) !important;
    }
    
    [type="radio"]:checked,
    [type="radio"]:not(:checked) {
        position: absolute;
        left: 15px;
        margin-top: 0px;
    }
    .refineSearch{
        background: linear-gradient(#3cafdc, #3197bf) !important;
  border: 1px solid #4eb2da !important;
  font-family: "Montserrat", sans-serif;
  font-size: 13px !important;
  font-weight: 500 !important;
  color: #fff !important;
  margin-top: 9px !important;
  transition: all 0.5s ease;
        }
        .refineSearch:hover{
            color: #fff!important;
    transform: scale(1.1);
        }
        #insurance-panel{
    padding-top: 10px!important;
    padding-bottom: 15px!important;
}
  .panel-title{
        background-color: white !important;
    border-color: white !important;
    }
</style>
<!--   <script>

  $(document).ready(function() {
    $('[data-
    ="collapse"]').click(function() {
      let self = $(this), parent = self.closest('.panel'), panelCollapse = $('.panel-collapse', parent);
      if(!panelCollapse.hasClass('in')) {
        self.addClass('acc_btn_collapsed');
      } else {
        self.removeClass('acc_btn_collapsed');
      }
    })
  })

</script> -->

</div>


